C API Functions

## udbEntityId

### Description

Return a unique id for the specified entity. The intent of this function is to provide a perfect hash value for entities.

Ids are unique for each entity and are valid only for the currently open database in which they are retrieved. Closing and re-opening the database or reparsing of the database (either partially or in full) invalidates any entity ids obtained previously.

### Syntax

     #include "udb/udb.h"
     int  udbEntityId(UdbEntity entity)

### Arguments

Argument | description
UdbEntity entity | Specify the entity

### Return Values

Return values | description
int | The unique id for this entity as assigned at database opening. Not valid between subsequent opens of the database or for different analysis runs.

### Example Usage

     printf("name of entity %4d is %s\n",
                  udbEntityId(entity),
                   udbEntityNameShort(entity) );

### See Also

udbEntityNameShort for the short name of an entity.

udbEntityNameLong for the long (or full) name of an entity.

Scientific Toolworks, Inc. http://www.scitools.com Voice: (802) 763-2995 Fax: (802) 763-3066 support@scitools.com sales@scitools.com